<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    style="@style/MatchWrap"
    android:layout_marginStart="5dp"
    android:layout_marginTop="2dp"
    android:layout_marginEnd="5dp"
    android:layout_marginBottom="5dp"
    app:cardBackgroundColor="@color/white"
    app:cardCornerRadius="5dp"
    app:cardElevation="1dp"
    app:cardUseCompatPadding="true">

    <RelativeLayout style="@style/MatchWrap">

        <View
            android:layout_width="5dp"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/ll"
            android:layout_alignBottom="@+id/ll"
            android:background="@color/purple_200" />

        <LinearLayout
            android:id="@+id/ll"
            style="@style/MatchWrap.Vertical"
            android:paddingVertical="10dp"
            android:paddingStart="15dp"
            android:paddingEnd="10dp">

            <!-- 任务编号 状态 -->
            <RelativeLayout style="@style/MatchWrap">

                <TextView
                    android:id="@+id/tv_task_no"
                    style="@style/WrapWrap"
                    android:text="-"
                    android:textColor="@color/purple_200"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tv_task_status"
                    style="@style/WrapWrap"
                    android:layout_alignParentEnd="true"
                    android:layout_gravity="end"
                    android:background="@drawable/status_green_bg"
                    android:paddingHorizontal="10dp"
                    android:paddingVertical="2dp"
                    android:text="-"
                    android:textColor="@color/purple_200"
                    android:textSize="12sp" />
            </RelativeLayout>

            <!--横线-->
            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="10dp"
                android:layout_marginBottom="10dp"
                android:background="@color/c_f5f5" />

            <TextView
                android:id="@+id/tv_task_name"
                style="@style/WrapWrap"
                android:text="-"
                android:textColor="@color/black"
                android:textSize="16sp"
                android:textStyle="bold" />

            <LinearLayout
                style="@style/MatchWrap.Horizontal"
                android:layout_marginBottom="5dp"
                android:paddingTop="5dp">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="2"
                    android:orientation="vertical">

                    <!-- 仓库 -->
                    <TextView
                        style="@style/WrapWrap"
                        android:text="仓库"
                        android:textColor="@color/c_6666"
                        android:textSize="12sp" />

                    <TextView
                        android:id="@+id/txt_warehouse_name"
                        style="@style/text_black14_ww"
                        android:text="-"
                        android:textStyle="bold" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical">
                    <!-- 已盘数 -->
                    <TextView
                        style="@style/WrapWrap"
                        android:layout_marginTop="5dp"
                        android:text="已盘数"
                        android:textColor="@color/c_6666"
                        android:textSize="12sp" />

                    <TextView
                        android:id="@+id/txt_review_number"
                        style="@style/text_black14_ww"
                        android:text="0"
                        android:textStyle="bold" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical">
                    <!-- 数量/金额 -->
                    <TextView
                        style="@style/WrapWrap"
                        android:layout_marginTop="5dp"
                        android:text="总盘点数"
                        android:textColor="@color/c_6666"
                        android:textSize="12sp" />

                    <TextView
                        android:id="@+id/txt_total_number"
                        style="@style/text_black14_ww"
                        android:text="0"
                        android:textStyle="bold" />
                </LinearLayout>

            </LinearLayout>

            <!-- 操作按钮 -->
            <LinearLayout
                style="@style/MatchWrap.Horizontal"
                android:paddingTop="8dp">

                <TextView
                    android:id="@+id/detail_button"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@drawable/gray_bg"
                    android:gravity="center"
                    android:paddingTop="5dp"
                    android:paddingBottom="5dp"
                    android:text="详情"
                    android:textColor="@color/purple_200" />

                <TextView
                    android:id="@+id/review_button"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="4dp"
                    android:layout_marginEnd="4dp"
                    android:layout_weight="1"
                    android:background="@drawable/green_bg"
                    android:gravity="center"
                    android:paddingTop="5dp"
                    android:paddingBottom="5dp"
                    android:text="执行盘点"
                    android:textColor="@color/white" />

                <TextView
                    android:id="@+id/stop_button"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="4dp"
                    android:layout_marginEnd="4dp"
                    android:layout_weight="1"
                    android:background="@drawable/red_bg4"
                    android:gravity="center"
                    android:paddingTop="5dp"
                    android:paddingBottom="5dp"
                    android:text="结束盘点"
                    android:textColor="@color/white" />

            </LinearLayout>
        </LinearLayout>
    </RelativeLayout>
</androidx.cardview.widget.CardView>